package duc.util;

public interface Encoding 
{
	int HUYEN = 1;
	int HOI = 2;
	int NGA = 3;
	int SAC = 4;
	int NANG = 5;
	int KHONG = 0;
	public char addBreveHorn(char c);
	public char addCircumflex(char c);
	public char addStroke(char c);
	public String fromTCVN1(String str);
	public String getDescription();
	public String getID();
	public boolean hasDiacritic(char c);
	public boolean isLetter(char c);
	public boolean isLowerCase(char c);
	public boolean isUpperCase(char c);
	public boolean isVowel(char c);
	public char modifyTone(char original, int toneMark);
	public char toLowerCase(char c);
	public String toLowerCase(String str);
	public String toTCVN1(String str);
	public char toUpperCase(char c);
	public String toUpperCase(String str);
}
