package vietdict.common;

import java.util.*;

public class Example 
{

	String phrase;
	String explanation;
	public static String BEGIN = "=";
	public static String SEPARATOR = "+";

	public Example(String phrase, String explanation) 
	{
		this.phrase = phrase;
		this.explanation = explanation;
	}
public void parse(String str) {
	String ph = str;
	String ex = "";
	int i = str.indexOf(SEPARATOR);
	if (i > 0) {
		ph = str.substring(0, i);
		ex = str.substring(i + 1);
	}
	this.phrase = ph;
	this.explanation = ex;
}

public String toHtml(String base) {
	StringBuffer sb = new StringBuffer();
	sb.append("\n        <LI>");
	sb.append(Parser.insertLinks(phrase, base));
	sb.append("\n        <BR><EM>");
	sb.append(explanation);
	sb.append("</EM>");
	return sb.toString();
}
	public String toString() 
	{
		return "\n" + BEGIN + phrase + SEPARATOR + explanation;
	}
}
