package vietdict.common;

public class VSDictEntry
{
	static final String viet7[] = 
	{
		"A`", "A?", "A~", "A'", "A.", "A(.", "A^.", "E`", "E?", "E~", 
		"E'", "E.", "E^.", "I`", "I?", "I~", "I'", "I.", "O`", "O?", 
		"O~", "O'", "O.", "O^.", "O+`", "O+?", "O+~", "O+'", "O+.", "U`", 
		"U?", "U~", "Y'", "A(", "A^", "E^", "O^", "O+", "U+", "DD", 
		"a(", "a^", "e^", "o^", "o+", "u+", "dd", "A(`", "??", "??", 
		"??", "??", "??", "a`", "a?", "a~", "a'", "a.", "A(?", "a(`", 
		"a(?", "a(~", "a('", "A(~", "A('", "A^`", "A^?", "A^~", "A^'", "E^`", 
		"a(.", "a^`", "a^?", "a^~", "a^'", "a^.", "e`", "E^?", "e?", "e~", 
		"e'", "e.", "e^`", "e^?", "e^~", "e^'", "e^.", "i`", "i?", "E^~", 
		"E^'", "O^`", "i~", "i'", "i.", "o`", "O^?", "o?", "o~", "o'", 
		"o.", "o^`", "o^?", "o^~", "o^'", "o^.", "o+`", "o+?", "o+~", "o+'", 
		"o+.", "u`", "O^~", "u?", "u~", "u'", "u.", "u+`", "u+?", "u+~", 
		"u+'", "u+.", "y`", "y?", "y~", "y'", "y.", "O^'"
	};
	/*
	int[] tab = new int[256];
	for (int i = 0; i < 256; i++) {
		tab[i] = i;
	}
	tab[1] = 167;
	tab[2] = 177;
	tab[3] = 190;
	tab[4] = 92;
	tab[5] = 160;
	tab[6] = 248;
	tab[16] = 195;
	tab[17] = 191;
	tab[18] = 189;
	tab[19] = 129;
	tab[20] = 172;
	tab[21] = 182;
	tab[22] = 140;
	tab[39] = 213;
	*/
	public static String IPAtoASCII(int i)
	{
		switch(i)
		{
			case 1: /* '\001' 167 */
			return "sh";

			case 2: /* '\002' 177 */
			return "e";

			case 3: /* '\003' 190 */
			return "ae";

			case 4: /* '\004' 158 */
			return "o+";

			case 5: /* '\005' 160 */
			return "th";

			case 6: /* '\006' 248 */
			return "ng";

			case 16: /* '\020' 140 */
			return "a(";

			case 17: /* '\021' 195 */
			return "o";

			case 18: /* '\022' 191 */
			return "z";

			case 19: /* '\023' 189 */
			return "U";

			case 20: /* '\024' 172 */
			return "dh";

			case 21: /* '\025' 182 */
			return "A";

			case 22: /* '\026' 129 */
			return "a";

		}
		return String.valueOf((char)i);
	}
	public static String toVIQR(String s)
	{
		StringBuffer stringbuffer = new StringBuffer();
		for(int i = 0; i < s.length(); i++)


		{
			char c = s.charAt(i);
			if(c >= '\200' && c < '\u0100')
			stringbuffer.append(viet7[c - 128]);
			else
			stringbuffer.append(IPAtoASCII(c));
		}

		return stringbuffer.toString();
	}
	public static String toVIQRString(String s)
	{
		StringBuffer stringbuffer = new StringBuffer();
		for(int i = 0; i < s.length(); i++)
		{
			char c = s.charAt(i);
			if(c == '$')
			stringbuffer.append(" ");
			else
			if(c == '=')
			stringbuffer.append("  +");
			else
			if(c == '+')
			stringbuffer.append("\n    ");
			else
			if(c >= ' ' && c < '\200')
			stringbuffer.append(s.charAt(i));
			else
			if(c >= '\200' && c < '\u0100')
			stringbuffer.append(viet7[c - 128]);
			else
			stringbuffer.append(IPAtoASCII(c));
		}
		return stringbuffer.toString();
	}
}
