package vietdict.server;

import javax.servlet.http.*;
/**
 * Insert the type's description here.
 * Creation date: (17.07.00 19:21:12)
 * @author: Administrator
 */
public class HNDServlet extends javax.servlet.http.HttpServlet {
	MultiDictEngine fEngine;
/**
 * HNDServlet constructor comment.
 */
public HNDServlet() {
	super();
}
/**
 * serve a GET request.
 */
public void doGet(HttpServletRequest request, HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException {
    String programName = request.getRequestURI();//getServletPath();
	String word = request.getParameter("word");
	String format = request.getParameter("fmt");
	if (format == null) {
		format = "8";
	}
	String dbPara = request.getParameter("db");
	if (dbPara == null) {
		dbPara = "4";
	}
	int db = Integer.parseInt(dbPara);
	MultiDictEngine engine = getEngine();
	String res = engine.getReply(programName, format, db, word, 20);
	response.setContentType("text/html");
	java.io.PrintWriter os = response.getWriter();
	os.print("<HTML><HEAD><TITLE>");
	os.print(word);
	os.print("</TITLE><LINK REL=STYLESHEET TYPE=\"text/css\" HREF=\"");
	os.print(engine.cssLink);
	os.println("\"></HEAD>");
	os.println("<BODY>");
	os.print(res);
	os.println("</BODY></HTML>");
}
private MultiDictEngine getEngine() {
	return fEngine;
}
public void init(javax.servlet.ServletConfig config) throws javax.servlet.ServletException {
	java.io.InputStream in = HNDWebServer.class.getResourceAsStream(HNDWebServer.getIniFileName());
	java.util.Properties p = new java.util.Properties();
	try {
		p.load(in);
		in.close();
	} catch (java.io.IOException ioe) {
	}
	MultiDictEngine.setDefault(new MultiDictEngine(p));
	fEngine = MultiDictEngine.getDefault();
}
}
