package vietdict.common;

import java.util.*;

public class Idiom implements MeaningContainer 
{

	String idiom;
	Vector meanings = new Vector();
	public static String BEGIN = "!";

public Idiom(String idiom) {
	this.idiom = idiom;
}
public void addMeaning(Meaning meaning) {
	meanings.addElement(meaning);
}
public String toHtml(String base) {
	StringBuffer sb = new StringBuffer();
	sb.append("\n  <LI>");
	sb.append(Parser.insertLinks(idiom, base));
	if (meanings.size() > 0) {
		sb.append("\n    <UL>");
		for (int i = 0; i < meanings.size(); i++) {
			sb.append(((Meaning) meanings.elementAt(i)).toHtml(base));
		}
		sb.append("\n    </UL>");
	}
	return sb.toString();
}
public String toString() {
	StringBuffer sb = new StringBuffer();
	sb.append("\n" + BEGIN);
	sb.append(idiom);
	for (int i = 0; i < meanings.size(); i++) {
		sb.append(((Meaning) meanings.elementAt(i)).toString());
	}
	return sb.toString();
}
}
