package vietdict.server;

import java.io.*;
import java.util.Vector;
import vietdict.common.Entry;
import vietdict.common.Parser;

/**
 * Insert the type's description here.
 * Creation date: (24.07.00 14:46:25)
 * @author: Administrator
 */
public class FileEngine extends Engine {
	private java.lang.String dataFile;
	Parser fParser;
/**
 * FileEngine constructor comment.
 * @param dataFile java.lang.String
 * @exception java.io.IOException The exception description.
 */
public FileEngine(String dataFile, Parser fParser) throws IOException {
	this.dataFile = dataFile;
	this.fParser = fParser;
	initialize();
}
/**
 * getDataSource method comment.
 */
protected RandomAccessDataSource getDataSource() throws IOException {
	return new FileDataSource(dataFile, "r");
}
	public String getReply(String s, int i, boolean t, boolean h, String b)
	{
	try {
	    RandomAccessDataSource f = getDataSource();
	    int j = getPosition(s.getBytes(), f);
	    String as[] = getNeighbors(Math.min(j-i/2, keys.length - i), i, f);
	    Entry entry = readEntry(j, f);
	    entry.setNeighbors(as);
	    f.close();
	    return entry.toString(t, h, b);
	}
	catch (Exception e) {
	    //e.printStackTrace();
	    return e.toString();
	}
	}
protected Entry readEntry(int j, RandomAccessDataSource f) throws Exception {
	byte[] buff = getEntry(j, f);
	ByteArrayInputStream in = new ByteArrayInputStream(buff);
	fParser.setDataInput(new DataInputStream(in));
	return fParser.parseNextEntry();
}
}
